package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsPhaseLog;
import java.util.List;

public interface IPmsPhaseLogService {
    /**
     * 查询阶段日志列表
     */
    List<PmsPhaseLog> selectList(PmsPhaseLog phaseLog);

    /**
     * 根据主键查询阶段日志
     */
    PmsPhaseLog selectById(Long id);

    /**
     * 新增阶段日志
     */
    int insert(PmsPhaseLog phaseLog);

    /**
     * 修改阶段日志
     */
    int update(PmsPhaseLog phaseLog);

    /**
     * 删除阶段日志
     */
    int deleteById(Long id);

    /**
     * 批量删除阶段日志
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据阶段ID查询阶段日志列表
     */
    List<PmsPhaseLog> selectByPhaseId(Long phaseId);
}
